/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"

CY_ISR(timer_isr)
{
    Timer_ClearInterrupt(Timer_TC_INTERRUPT_MASK) ; /* clear interrupt flag */
    LED_Write(!LED_Read());

    Timer_INT_StartEx(timer_isr) ; /* may be not necessary */
    //Timer_Start() ;
}

int main(void)
{
    CyGlobalIntEnable; /* Enable global interrupts. */
    LED_Write(0u);
    Timer_INT_StartEx(timer_isr);
    Timer_Start(); 
    
    Bootloader_Start();

    /* Place your initialization/startup code here (e.g. MyInst_Start()) */

    for(;;)
    {
        /* Place your application code here. */
        //CyDelay(1000u);
    }
}

/* [] END OF FILE */